APILog sources
List log sources
List log sources within one project.
GET https://api.sazabi.com/v1/log-sources
Query Parameters
projectId?string
Project to list log sources for. Auto-filled from SDK context when omitted.
Format
uuidprovider?string
Filter log sources by provider.
Value in
- "vercel"
- "cloudflare"
- "railway"
- "render"
- "fly_io"
- "netlify"
- "supabase"
- "digital_ocean"
- "inngest"
- "trigger_dev"
- "temporal"
- "mastra"
- "neon"
- "langchain"
- "daytona"
- "e2b"
- "cloudwatch"
- "convex"
- "datadog"
- "sentry"
- "sentry_platform"
- "openrouter"
- "posthog"
- "posthog_sdk"
- "gcp"
- "otel"
- "otel_metrics"
- "fluent_bit"
- "vector"
- "grafana_alloy"
- "otel_collector"
- "cloudflare_workers"
- "elastic_cloud"
- "porter"
- "respan"
- "plain"
- "prometheus"
- "webhook_events"
- "claude_code"
- "codex"
- "sazabi_browser_sdk"
- "oh_my_pi"
- "unkey"
- "evlog"
- "otel_traces"
Response Body
application/json
curl -X GET "https://example.com/log-sources"{ "logSources": [ { "connectionStatus": { "state": "connected", "reasonCode": "credentials_rejected", "checkedAt": "2019-08-24T14:15:22Z", "verification": "verified" }, "recovery": { "action": "reconnect", "canCheck": true, "canDisconnect": true, "target": { "kind": "integration", "resourceId": "string", "providerId": "string", "scope": { "kind": "user", "id": "string" } } }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "vercel", "mode": "native", "name": "string", "streamCount": -9007199254740991, "createdAt": "2019-08-24T14:15:22Z", "streamAutoProvisionFilter": { "allowlist": [ "string" ], "denylist": [ "string" ] } } ]}